## gate
Interface VisualResource

All Superinterfaces:
  FeatureBearer, NameBearer, Resource, Serializable

All Known Subinterfaces:
  AnnotationVisualResource

All Known Implementing Classes:
  AbstractVisualResource, OracleDatastoreViewer, SerialDatastoreViewer

public interface VisualResource
extends Resource

Models all sorts of visual resources.

Method Summary
`void` `setHandle(Handle handle)` Used by the main GUI to tell this VR what handle created it.
`void` `setTarget(Object target)` Called by the GUI when this viewer/editor has to initialise itself for a specific object.

Methods inherited from interface gate.Resource
`cleanup, getParameterValue, init, setParameterValue, setParameterValues`

Methods inherited from interface gate.util.FeatureBearer
`getFeatures, setFeatures`

Methods inherited from interface gate.util.NameBearer
`getName, setName`

Method Detail

### setTarget

    public void setTarget(Object target)

  Called by the GUI when this viewer/editor has to initialise itself for a specific object.
  Parameters:
    `target` - the object (be it a `Resource`, `DataStore` or whatever) this viewer has to display

### setHandle

    public void setHandle(Handle handle)

  Used by the main GUI to tell this VR what handle created it. The VRs can use this information e.g. to add items to the popup for the resource.